Page MenuHomePhabricator

Allow filtering by local and global hits on Special:AbuseLog
Open, Stalled, MediumPublic

Description

This is especially useful at central wiki. Currently https://meta.wikimedia.org/wiki/Special:AbuseLog is extremely hard to use for monitoring local filters. Using meta.wikimedia.org in wiki field doesn't work (and the wiki field is on central wiki only but this feature is useful for both central and target wikis).

(this task is about also doing that on a remote wiki: filtering for hits for local filters and local hits of global filters, doing so on central wiki has been done).

Event Timeline

Glaisher created this task.Dec 25 2014, 5:12 PM
Glaisher raised the priority of this task from to Needs Triage.
Glaisher updated the task description. (Show Details)
Glaisher added a project: AbuseFilter.
Glaisher added a subscriber: Glaisher.
Glaisher added subscribers: Legoktm, hoo.EditedDec 25 2014, 5:17 PM

Also while we're at it, can we have the filtering by local & global filters option available on centralwiki's Special:AbuseFilter? It's available, just not exposed to the interface. I don't see any reason why it should be hidden.

Se4598 added a subscriber: Se4598.Dec 25 2014, 5:20 PM

IIRC from a recently discussion the wiki-field in the log-table is NULL for local hits (on the central wiki), thus inserting any value for the central wiki doesn't work.

Also while we're at it, can we have the filtering by local & global filters option available on centralwiki's Special:AbuseFilter? It's available just not exposed to the interface. I don't see any reason why it should be hidden.

see T78495: Allow searching for local filters only and global filters only on Meta.

IIRC from a recently discussion the wiki-field in the log-table is NULL for local hits (on the central wiki), thus inserting any value for the central wiki doesn't work.

Yep, it looks like afl_wiki is null when it's an entry from the local/central wiki.

! In T85323#943998, @Se4598 wrote:
see T78495: Allow searching for local filters only and global filters only on Meta.

Thanks

Change 181795 had a related patch set uploaded (by Se4598):
Allow searching for local hits on central wiki

https://gerrit.wikimedia.org/r/181795

Patch-For-Review

Change 181795 had a related patch set uploaded (by Se4598):

this does the easy approach as accepting the value that afl_wiki would have if not NULL. Should work as first-aid.

Change 181795 merged by jenkins-bot:
Allow searching for local hits on central wiki

https://gerrit.wikimedia.org/r/181795

@Glaisher: so one part is done. The description is a bit unclear for me for the second part. Do you mean you want a option to filter on a remote wiki hits for local filters and local hits for global filters?

Yes. It would allow us to filter entries on Special:AbuseLog by hits on local filters and local hits on global filters.

Se4598 reopened this task as Open.Jan 4 2015, 10:51 PM
Se4598 updated the task description. (Show Details)
Se4598 set Security to None.
Se4598 added a comment.EditedJan 4 2015, 10:54 PM

see last comments: this task is about also doing log filtering on a remote wiki: filtering for hits for local filters and local hits of global filters, doing so on central wiki has been done
T 78495 is about filtering displaying filters/rules itself on their list

Glaisher triaged this task as Medium priority.Jan 13 2015, 4:38 AM
Glaisher removed a project: Patch-For-Review.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 8 2016, 8:34 AM
Amire80 moved this task from Backlog to Logging on the AbuseFilter board.May 8 2016, 9:00 AM
DannyS712 changed the task status from Open to Stalled.Apr 27 2020, 3:24 AM
DannyS712 claimed this task.
DannyS712 added a subscriber: DannyS712.

There is no good way to require that filters shown be only local or only global for now without impacting performance; will do once T220791: afl_filter should be split in afl_filter_id and afl_global makes it a trivial query change

Restricted Application added a project: User-DannyS712. · View Herald TranscriptApr 27 2020, 3:25 AM